<?php

/* * ****************************************************
 * CjOverkill version 5.3.1
 * © Kaloyan Olegov Georgiev
 * http://www.icefire.org/
 * spam@icefire.org
 * 
 * Please read the lisence before you start editing this script.
 * 
 * ****************************************************** */

include ("../cj-conf.inc.php");
include ("../cj-functions.inc.php");
cjoverkill_connect ();

include ("security.inc.php");

/**
 * ****************
 * Site Info
 * ****************
 */
if ( $_POST["url"] != "" ) {
    $site_url = cjoverkill_adm_sanityze ( $_POST["url"] );
    $site_desc = cjoverkill_adm_sanityze ( $_POST["site_desc"] );
    $site_name = cjoverkill_adm_sanityze ( $_POST["site_name"] );
    $site_niche = cjoverkill_adm_sanityze ( $_POST["site_niche"] );
    $custom_field_name = cjoverkill_adm_sanityze ( $_POST["custom_field_name"] );

    if ( !isset ( $custom_field_name ) || $custom_field_name == "" ) {
        $custom_field_name = "Extra Description";
    }

    $altout = "http://payload.cjoverkill.com/cjoverkill.php";
    $filter_url_default = "http://payload.cjoverkill.com/cj-filter.php";
    $nocookie_url_default = "http://payload.cjoverkill.com/cj-filter.php";

    $sql = @mysqli_query ( $cjoverkill_link, "SELECT net_closed FROM cjoverkill_network_settings" ) OR
            cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
    $tmp = @mysqli_fetch_array ( $sql );
    extract ( $tmp );
    $signup = $net_closed;

    //$site_url=strtolower($site_url);
    $tmp = parse_url ( $site_url );
    $tmp["host"] = strtolower ( $tmp["host"] );
    $domain = preg_replace ( "/^www\./", "", $tmp["host"] );
    $site_domain = $domain;
    $tmpurl = "http://" . $tmp["host"] . $tmp["path"];
    if ( $tmp["query"] != "" ) {
        $tmpurl = $tmpurl . "?" . $tmp["query"];
    }

    $sql = @mysqli_query ( $cjoverkill_link, "SELECT * FROM cjoverkill_sites WHERE site_domain='$domain'" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
    $tmp_sql = @mysqli_num_rows ( $sql );
    if ( $tmp_sql > 0 ) {
        $err = "This site is already in the database!";
    }
    $sql = @mysqli_query ( $cjoverkill_link, "SELECT * FROM cjoverkill_blacklist WHERE domain='$domain'" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
    $tmp_sql = @mysqli_num_rows ( $sql );
    if ( $tmp_sql > 0 ) {
        $err = "This domain is blacklisted on the local blacklist! Are you trying to balcklist yourself?";
    }
    if ( !isset ( $err ) ) {
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_sites (site_url,site_name,site_desc,site_niche,site_domain,
    		altout, filter_url_default, nocookie_url_default, site_open, custom_field_name) 
    		VALUES('$tmpurl','$site_name','$site_desc','$site_niche','$site_domain',
    		'$altout', '$filter_url_default', '$nocookie_url_default', '2', '$custom_field_name')" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        $sid = @mysqli_query ( $cjoverkill_link, "SELECT LAST_INSERT_ID() as site_id FROM cjoverkill_sites" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        $tmp = @mysqli_fetch_array ( $sid );
        extract ( $tmp );

        @mysqli_query ( $cjoverkill_link, "DROP TABLE IF EXISTS cjoverkill_iplog_in_$site_id" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "CREATE TABLE `cjoverkill_iplog_in_$site_id` (
    					`site_id` int(11) NOT NULL default '0',
						`trade_id` int(11) NOT NULL default '0',
						`ftrade_id` int(11) NOT NULL default '0',
						`ip` varchar(250) NOT NULL default '',
						`proxy` varchar(250) NOT NULL default '',
						`raw_in` int(11) NOT NULL default '0',
						`clicks` int(11) NOT NULL default '0',
						`hour` int(2) NOT NULL default '0',
						`cstamp` int(11) NOT NULL default '0',
						KEY `trade_id` (`trade_id`),
  						KEY `ip` (`ip`),
  						KEY `ip_proxy` (`ip`,`proxy`)
						) ENGINE=MyISAM CHARSET=latin1" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "DROP TABLE IF EXISTS cjoverkill_iplog_out_$site_id" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "CREATE TABLE `cjoverkill_iplog_out_$site_id` (
						`site_id` int(11) NOT NULL default '0',
						`trade_id` int(11) NOT NULL default '0',
						`ftrade_id` int(11) NOT NULL default '0',
						`ip` varchar(250) NOT NULL default '',
						`proxy` varchar(250) NOT NULL default '',
						`raw_out` int(11) NOT NULL default '0',
						`hour` int(2) NOT NULL default '0',
						`cstamp` int(11) NOT NULL default '0',
						KEY `trade_id` (`trade_id`),
 	 					KEY `ip` (`ip`),
  						KEY `ip_proxy` (`ip`,`proxy`)
						) ENGINE=MyISAM CHARSET=latin1" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "DROP TABLE IF EXISTS `cjoverkill_ref_$site_id`" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "CREATE TABLE `cjoverkill_ref_$site_id` (
    					`trade_id` int(11) NOT NULL default '0',
						`referer` varchar(250) NOT NULL default '',
						`raw_in` int(11) NOT NULL default '0',
						`hour` int(2) NOT NULL default '0',
						KEY `trade_id` (`trade_id`),
						KEY `referer` (`referer`)
					) ENGINE=MyISAM CHARSET=latin1" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );

        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_trades (site_id, vtrade_id, domain, url, site_name, 
    		site_desc, signed, toplist) VALUES ('$site_id', '1', 'bookmarks', 'bookmarks', 'Bookmarks', 'Bookmarks', NOW(),'0')" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_stats (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_forces (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );

        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_trades (site_id, vtrade_id, domain, url, site_name, 
    		site_desc, signed, toplist) VALUES ('$site_id', '2', 'external', 'external', 'External', 'External', NOW(), '0')" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_stats (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_forces (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );

        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_trades (site_id, vtrade_id, domain, url, site_name, 
    		site_desc, signed, toplist) VALUES ('$site_id', '3', 'unknown', 'unknown', 'Unknown', 'Unknown', NOW(), '0')" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_stats (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_forces (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );

        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_trades (site_id, vtrade_id, domain, url, site_name, 
    		site_desc, signed, toplist) VALUES ('$site_id', '4', 'GalaxyMedia', 'GalaxyMedia', 'GalaxyMedia', 'GalaxyMedia', NOW(), '0')" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_stats (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_forces (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );

        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_trades (site_id, vtrade_id, domain, url, site_name, 
    		site_desc, signed, toplist) VALUES ('$site_id', '5', 'filtered', 'fitered', 'filtered', 'filtered', NOW(), '0')" ) OR
                cjoverkill_print_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_stats (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_forces (trade_id,site_id) VALUES (LAST_INSERT_ID(),'$site_id')" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );

        @mysqli_query ( $cjoverkill_link, "INSERT INTO cjoverkill_reset (site_id) VALUES ('$site_id')" ) OR cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );

        //@mysqli_query($cjoverkill_link, "INSERT INTO cjoverkill_filter_country SELECT DISTINCT $site_id,c2code,0,'','',country FROM cjoverkill_filter_base ORDER by country ASC") OR
        //	cjoverkill_db_error(mysqli_error($cjoverkill_link));


        $tms = "$domain added to the network";
    }
} else {
    $tms = "Add a new site to the network";
}
cjoverkill_disconnect ();
echo ("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
	<html> 
	<head>
	<title>$tms</title>
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
	<link href=\"../cj-style.css\" rel=\"stylesheet\" type=\"text/css\">
	</head>
	<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\">
	");
if ( isset ( $err ) ) {
    echo ("<div align=\"center\"><font size=\"4\"><b>Error:<br>\n
	    $err<br>\n
	    </b></font></div>
	    ");
} else {
    echo ("<form action=\"site_add.php\" method=\"POST\">\n
	    <div align=\"center\"><strong><font size=\"4\">$tms<br>\n
	    <br>\n
	    </font></strong> </div> 
	    <table width=\"300\" border=\"1\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" bordercolor=\"#000000\">
	    <tr>
	    <td><table width=\"100%\" border=\"1\" cellpadding=\"2\" cellspacing=\"0\" class=\"normalrow\">
	    <tr class=\"toprows\">
	    <td colspan=\"2\">Site Info</td>
	    </tr> 
	    <tr> 
	    <td align=\"left\">Site URL:</td>
	    <td align=\"left\"><input name=\"url\" type=\"text\" id=\"url\" size=\"25\" maxlength=\"250\"></td>
	    </tr>
	    <tr> 
	    <td align=\"left\">Site Name:</td>
	    <td align=\"left\"><input name=\"site_name\" type=\"text\" id=\"site_name\" size=\"25\" maxlength=\"250\"></td>
	    </tr>
	    <tr>
	    <td align=\"left\">Site Description:</td>
	    <td align=\"left\"><input name=\"site_desc\" type=\"text\" id=\"site_desc\" size=\"25\" maxlength=\"250\"></td>
	    </tr>
	    <tr>
	    <td align=\"left\">Your Site Niche:</td>
	    <td align=\"left\"><select name=\"site_niche\"><option value=\"other\" >Other</option>
		<option value=\"adult-girls\" >Adult - 18 - 25 Years Girls</option>
        <option value=\"adult-asian\" >Adult - Asian</option>
        <option value=\"adult-bbw\" >Adult - BBW</option>
        <option value=\"adult-bigtits\" >Adult - Big Tits</option>        
        <option value=\"adult-blowjobs\" >Adult - Blowjobs</option>
        <option value=\"adult-black\" >Adult - Black - Ebony</option>
        <option value=\"adult-bondage\" >Adult - Bondage</option>
        <option value=\"adult-gay\" >Adult - Gay</option>
        <option value=\"adult-hardcore\" >Adult - Hardcore</option>
        <option value=\"adult-hentai\" >Adult - Hentai - Anime</option>
        <option value=\"adult-interracial\" >Adult - Interracial</option>
        <option value=\"adult-lesbian\" >Adult - Lesbian</option>
        <option value=\"adult-latina\" >Adult - Latina</option>
        <option value=\"adult-milf\" >Adult - MILF</option>
        <option value=\"adult-softcore\" >Adult - Softcore</option>
        <option value=\"adult-spanking\" >Adult - Spanking</option>
        <option value=\"adult-squirting\" >Adult - Squirting</option>
        <option value=\"adult-pantyhose\" >Adult - Pantyhose</option>
        <option value=\"adult-urination\" >Adult - Urination</option>
        <option value=\"adult-other\" >Adult - Other</option>
        <option value=\"nonadult-games\" >Non Adult - Games</option>
        <option value=\"nonadult-music\" >Non Adult - Music</option>
        <option value=\"nonadult-ringtones\" >Non Adult - Ringtones</option>
        <option value=\"nonadult-fun\" >Non Adult - Fun</option>
        <option value=\"nonadult-other\" >Non Adult - Other</option>
		</td></tr>
	    <tr>
	    <tr>
	    <td align=\"left\">Custom Toplist:</td>
	    <td align=\"left\"><input name=\"custom_field_name\" type=\"text\" id=\"custom_field_name\" size=\"25\" maxlength=\"250\"></td>
	    </tr>
	    <td align=\"left\">&nbsp;</td>
	    <td align=\"left\"><input name=\"Submit\" type=\"submit\" class=\"buttons\" value=\"Add Site\"></td>
	    </tr>
	    </table></td>
	    </tr>
	    </table>
	    <div align=\"center\">
	    <br><br><font size=\"2\"><a href=\"javascript:window.close()\">Close Window</a></font>
	    </form>
	    </div>
	    ");
}
echo ("</body>
	</html>
	");

?>
